% QUI VA INSERITA LA LETTURA DEI DATI

% Estremi dell'intervallo
x_l = 0;
x_u = 5;

function plot_approx(p, x_l, x_u, x0, y0)
	% "p" è il polinomio da disegnare
	% "x_l" e "x_u" sono gli estremi dell'intervallo da disegnare
	% "x" e "y" sono i punti campionati

	% Definisco il range per il disegno
	x = linspace(x_l, x_u);
	% Disegno il polinomio interpolante
	figure() % Apro una nuova figura
	hold on % Permetto di avere più di un plot sulla figura
	plot(x, polyval(p, x), 'k', 'linewidth', 1.5);
	% Disegno i punti originari
	scatter(x0, y0, 5, 'r', 'x');
	hold off
	xlim([x_l, x_u]);
end