% QUI VA INSERITA LA LETTURA DEI DATI

% Estremi dell'intervallo
x_l = 0;
x_u = 5;

function phi = build_phi_matrix(x)
	% QUESTA FUNZIONE VA DEFINITA
end

function plot_approx(p, x_l, x_u, x0, y0)
	% "p" sono i parametri della funzione approssimante
	% "x_l" e "x_u" sono gli estremi dell'intervallo da disegnare
	% "x" e "y" sono i punti campionati

	% Definisco il range per il disegno
	x = linspace(x_l, x_u);
	% Ottengo i valori della funzione approssimante
	phi = build_phi_matrix(x);
	y = phi * p; % prodotto scalare

	% Disegno il polinomio interpolante
	figure() % Apro una nuova figura
	hold on % Permetto di avere più di un plot sulla figura
	plot(x, y, 'k', 'linewidth', 1.5);
	% Disegno i punti originari
	scatter(x0, y0, 4, 'r', 'x');
	hold off
	xlim([x_l, x_u]);
end